--- a/lisp/descr-text.el
+++ b/lisp/descr-text.el
@@ -618,7 +618,9 @@ defun describe-char (pos &optional buffer)
                                    'help-args '(,current-input-method))
 				 "input method")
 			 (list
-			  "type \"C-x 8 RET HEX-CODEPOINT\" or \"C-x 8 RET NAME\"")))))
+                          (format
+                           "type \"C-x 8 RET %04x\" or \"C-x 8 RET %s\""
+                           char (get-char-code-property char 'name)))))))
               ("buffer code"
                ,(if multibyte-p
                     (encoded-string-description
